#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 25. Graphical Environment Libraries

- Prev

  gdk-pixbuf-xlib-2.40.2

- Next

  GLEW-2.2.0

- Up
- Home

# GDL-3.40.0

## Introduction to GDL

The GDL package provides a library that is useful for docking objects in GTK+ applications.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gdl/3.40/gdl-3.40.0.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/gdl/3.40/gdl-3.40.0.tar.xz

- Download MD5 sum: 21df1254b49b74a498feb99be57364d0

- Download size: 524 KB

- Estimated disk space required: 9.8 MB

- Estimated build time: 0.1 SBU

### GDL Dependencies

#### Required

GTK+-3.24.31

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/gdl

## Installation of GDL

Install GDL by running the following commands:

    ./configure --prefix=/usr --disable-static &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--enable-gtk-doc`: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

## Contents

Installed Programs: None
Installed Libraries: libgdl-3.so
Installed Directories: /usr/include/libgdl-3.0 and /usr/share/gtk-doc/html/gdl-3.0

### Short Descriptions

`libgdl-3.so` | contains functions that allow for docking objects in GTK+ applications

Last updated on

- Prev

  gdk-pixbuf-xlib-2.40.2

- Next

  GLEW-2.2.0

- Up
- Home